#
# spec file for package ncurses (Version 5.5)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs ed file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed sharutils strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           ncurses
#!BuildIgnore: terminfo
BuildRequires:  ed gcc-c++ sharutils
%define terminfo() %{_datadir}/%{0}/%{1}
%define tabset()   %{_datadir}/%{0}/%{1}
License:        X11/MIT, Other License(s), see package
Group:          System/Libraries
Autoreqprov:    on
Version:        5.5
Release:        18.2
Summary:        New curses Libraries
Source0:        ncurses-%{version}.tar.bz2
Url:            http://invisible-island.net/ncurses/ncurses.html
#Source1:       ncurses-%{version}-20050716-patch.tar.bz2
Source2:        handle.linux
Patch0:         ncurses-%{version}.dif
Patch1:         ncurses-5.3-printw.dif
Patch2:         ncurses-5.4-wide.dif
Patch3:         ncurses-5.4-pthread.dif
Patch4:         ncurses-5.5-valist.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
As soon as a text application needs to directly control its output to
the screen (if it wants to place the cursor at location (x,y) then
write text), ncurses is used. The panel and the forms libraries are
included in this package. These new libraries support color, special
characters, and panels.



Authors:
--------
    Zeyd M. Ben-Halim <zmbenhal@netcom.com>
    Eric S. Raymond <esr@thyrsus.com>
    Thomas Dickey <dickey@clark.net>
    Juergen Pfeifer <Juergen.Pfeifer@t-online.de>

%debug_package
%package -n terminfo
Summary:        A terminal descriptions database
Group:          System/Libraries
Autoreqprov:    on

%description -n terminfo
This is the terminfo reference database, maintained by Eric Raymond.
This database is the official successor to the 4.4BSD termcap file and
contains information about any known terminal. The ncurses library
makes use of this database to use terminals correctly. If you just use
the Linux console, xterm, and VT100, you probably will not need this
database -- a minimal /usr/share/terminfo tree for these terminals is
already included in the ncurses package.



Authors:
--------
    Zeyd M. Ben-Halim <zmbenhal@netcom.com>
    Eric S. Raymond <esr@thyrsus.com>
    Thomas Dickey <dickey@clark.net>
    Juergen Pfeifer <Juergen.Pfeifer@t-online.de>

%package -n ncurses-devel
Summary:        Include Files and Libraries mandatory for Development
Group:          System/Libraries
Provides:       ncurses:/usr/include/ncurses.h
Requires:       ncurses = %{version}-%{release}
Autoreqprov:    on

%description -n ncurses-devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Zeyd M. Ben-Halim <zmbenhal@netcom.com>
    Eric S. Raymond <esr@thyrsus.com>
    Thomas Dickey <dickey@clark.net>
    Juergen Pfeifer <Juergen.Pfeifer@t-online.de>

%prep
%setup -q -n ncurses-%{version} -b0
#bzcat %{SOURCE1} | patch -p1 -s
%patch -P 1 -p0 -b .va
%patch -P 2 -p0 -b .wd
%patch -P 3 -p0 -b .pt
%patch -P 4 -p0 -b .val
%patch -P 0 -p0

%build
    test ! -f /.buildenv || . /.buildenv
       OPATH=$PATH
      PREFIX=%{_prefix}
      LIBDIR=${PREFIX}/%{_lib}
     DATADIR=${PREFIX}/share
      INCDIR=${PREFIX}/include
      MANDIR=%{_mandir}
      FALLBK="xterm,linux,vt100,vt102"
	  CC=gcc
	 CXX=g++
    if [[ "$BUILD_BASENAME" = debug-* ]] ; then
      CFLAGS="${RPM_OPT_FLAGS} -Wa,--noexecstack -pipe -g -DTRACE"
    else
      CFLAGS="${RPM_OPT_FLAGS} -Wa,--noexecstack -pipe"
    fi
    CXXFLAGS=$CFLAGS
    test -n "$TERM" || TERM=linux
    export CC CFLAGS CXX CXXFLAGS TERM
    #
    # Detect 64bit architecures and be sure that
    # we use an unsigned long for chtype to be
    # backward compatible with ncurses 5.4
    #
    echo 'int main () { return !(sizeof(void*) >= 8); }' | gcc -x c -o test64 -
    if ./test64 ; then
	WITHCHTYPE="--with-chtype=long"
    else
	WITHCHTYPE=""
    fi
    rm -f ./test64
    #
    # No --enable-tcap-names because we may have to recompile
    # programs or foreign programs won't work
    #
    # NO --enable-safe-sprintf because this seems to
    # crash on some architectures
    #
    touch --reference=README config.sub config.guess
    %{?suse_update_config:%{suse_update_config}}
    ./configure --build ${RPM_ARCH}-suse-linux \
	--without-debug		\
	--without-profile	\
	--with-shared		\
	--with-normal		\
	--with-manpage-format=gzip \
	--with-manpage-renames=${PWD}/man/man_db.renames \
	--with-fallbacks=${FALLBK} \
	--with-ospeed=speed_t	\
	--disable-root-environ	\
	--disable-termcap	\
	--disable-overwrite	\
	--disable-rpath		\
	--disable-leaks		\
	--enable-symlinks	\
	--enable-big-core	\
	--enable-const		\
	--enable-hashmap	\
	--enable-no-padding	\
	--enable-symlinks	\
	--enable-sigwinch	\
	--enable-colorfgbg	\
	--prefix=${PREFIX}	\
	--exec-prefix=${PREFIX}	\
	--libdir=${LIBDIR}	\
	--datadir=${DATADIR}	\
	--mandir=${MANDIR}	\
	--includedir=${INCDIR}	\
	"${WITHCHTYPE}" 	\
	--with-install-prefix=${RPM_BUILD_ROOT}
    #
    # This is a hack to be able to boot strap
    # a libncurses with correct fallback.c.
    #
    make -C include
    make -C ncurses fallback.c FALLBACK_LIST=""
    make -C progs   termsort.c transform.h infocmp tic
    rm   -f ncurses/fallback.c
    PATH=$PWD/progs:$OPATH
    cd ncurses/
	TERMINFO=$PWD/tmp
	export TERMINFO
	mkdir -p $TERMINFO
	sh run_cmd.sh tic -I -r -e $FALLBK ../misc/terminfo.src > terminfo.src
	sh run_cmd.sh tic -o $TERMINFO -s terminfo.src
	make fallback.c
	rm -rf $TERMINFO
	unset  TERMINFO
    cd ../
    PATH=$OPATH
    #
    # Now rebuild libncurses and do the rest of this job
    #
    make
    GZIP="-9"
    export GZIP
    test -n "${RPM_BUILD_ROOT}" && rm -rf ${RPM_BUILD_ROOT}/*
    make install
    #
    # Now use --enable-widec for UTF8/wide character support.
    # The libs with 16 bit wide characters are binary incompatible
    # to the normal 8bit wide character libs.
    #
    c=`grep '^ *$ *\./configure' config.log`
    eval ./${c#*./} --enable-widec --without-normal
    make

%install
    GZIP="-9"
    export GZIP
    make install.libs install.includes
    mkdir -p ${RPM_BUILD_ROOT}/%{_lib}
    mv ${RPM_BUILD_ROOT}%{_prefix}/%{_lib}/libncurses.so.* ${RPM_BUILD_ROOT}/%{_lib}
    ln -sf /%{_lib}/libncurses.so.%{version} ${RPM_BUILD_ROOT}%{_prefix}/%{_lib}/libncurses.so
    chmod 0755 ${RPM_BUILD_ROOT}/%{_lib}/lib*.so.*
    chmod 0755 ${RPM_BUILD_ROOT}/%{_prefix}/%{_lib}/lib*.so.*
    test -n "${RPM_BUILD_ROOT}" || ldconfig -N
    mkdir -p ${RPM_BUILD_ROOT}%{_defaultdocdir}/ncurses
    install -m 644 misc/terminfo.src		${RPM_BUILD_ROOT}%{_defaultdocdir}/ncurses/
    install -m 644 doc/html/*.html		${RPM_BUILD_ROOT}%{_defaultdocdir}/ncurses/
    install -m 644 doc/ncurses-intro.doc	${RPM_BUILD_ROOT}%{_defaultdocdir}/ncurses/
    install -m 644 doc/hackguide.doc		${RPM_BUILD_ROOT}%{_defaultdocdir}/ncurses/
    mkdir -p ${RPM_BUILD_ROOT}/etc
    mkdir -p ${RPM_BUILD_ROOT}/usr/share/misc
    cd ncurses/
	sh ./run_cmd.sh tic -C -r ../misc/terminfo.src | grep -E -v '^#' > termcap
	# Gererate new termcap entries for various linux consoles
	TERMCAP=termcap \
	TERMINFO=${RPM_BUILD_ROOT}%{_datadir}/terminfo \
	    bash %{SOURCE2}
	install -m 0644 termcap.new ${RPM_BUILD_ROOT}/usr/share/misc/termcap
    cd ../
    if test `/usr/bin/id -u` = '0' ; then
	chown root:root ${RPM_BUILD_ROOT}/usr/share/misc/termcap
	chmod 0644      ${RPM_BUILD_ROOT}/usr/share/misc/termcap
    fi
    ln -sf /usr/share/misc/termcap ${RPM_BUILD_ROOT}/etc/termcap
    (cat > default.list) <<-EOF
	%{tabset std}
	%{tabset stdcrt}
	%{tabset vt100}
	%{tabset vt300}
	%{terminfo a/ansi}
	%{terminfo a/arpanet}
	%{terminfo d/dumb}
	%{terminfo d/dialup}
	%{terminfo g/gnome}
	%{terminfo g/gnome-rh72}
	%{terminfo k/klone+color}
	%{terminfo k/kvt}
	%{terminfo k/kvt-rh}
	%{terminfo l/linux}
	%{terminfo l/linux-m}
	%{terminfo l/linux-nic}
	%{terminfo m/mlterm}
	%{terminfo n/net}
	%{terminfo n/network}
	%{terminfo n/nxterm}
	%{terminfo p/patch}
	%{terminfo r/rxvt}
	%{terminfo s/screen}
	%{terminfo s/screen-w}
	%{terminfo s/screen-256color}
	%{terminfo s/sun}
	%{terminfo s/switch}
	%{terminfo u/unknown}
	%{terminfo v/vt100}
	%{terminfo v/vt102}
	%{terminfo v/vt220}
	%{terminfo v/vt220-8}
	%{terminfo v/vt220-8bit}
	%{terminfo v/vt320}
	%{terminfo v/vt52}
	%{terminfo x/xterm}
	%{terminfo x/xterm-color}
	%{terminfo x/xterm-256color}
	%{terminfo x/xterm-basic}
	%{terminfo x/xterm-nic}
	%{terminfo x/xterm-r6}
	EOF
    find ${RPM_BUILD_ROOT}%{tabset ""} ${RPM_BUILD_ROOT}%{terminfo ""} \
	\( -type f -or -type l \) | \
	sed "s@^${RPM_BUILD_ROOT}@@g" | \
	grep -v -F -x -f default.list \
	> extension.list
    rm -f $RPM_BUILD_ROOT/usr/lib/terminfo

%files -f default.list 
%defattr(-,root,root)
%dir %{_defaultdocdir}/ncurses/
#%ghost /usr/lib/tabset
#%ghost /usr/lib/terminfo
%dir /usr/share/tabset/
%dir /usr/share/terminfo/
%dir /usr/share/terminfo/*/
/etc/termcap
%config /usr/share/misc/termcap
/%{_lib}/libncurses.so.5
/%{_lib}/libncurses.so.%{version}
/usr/bin/clear
/usr/bin/reset
/usr/bin/toe
/usr/bin/tput
/usr/bin/tset
%doc %{_defaultdocdir}/ncurses/*
/usr/%{_lib}/lib*.so.*
%doc %{_mandir}/man1/clear.1.gz
%doc %{_mandir}/man1/reset.1.gz
%doc %{_mandir}/man1/toe.1.gz
%doc %{_mandir}/man1/tput.1.gz
%doc %{_mandir}/man1/tset.1.gz
%doc %{_mandir}/man5/*.gz

%files -n ncurses-devel
%defattr(-,root,root)
/usr/bin/captoinfo
/usr/bin/infocmp
/usr/bin/infotocap
/usr/bin/tack
/usr/bin/tic
/usr/include/*.h
/usr/%{_lib}/lib*.a
/usr/%{_lib}/lib*.so
%doc %{_mandir}/man1/captoinfo.1.gz
%doc %{_mandir}/man1/infocmp.1.gz
%doc %{_mandir}/man1/infotocap.1.gz
%doc %{_mandir}/man1/tack.1.gz
%doc %{_mandir}/man1/tic.1.gz
%doc %{_mandir}/man3/*.gz
%doc %{_mandir}/man7/*.gz

%files -f extension.list -n terminfo
%defattr(-,root,root)

%changelog -n ncurses
* Sun Apr 09 2006 - werner@suse.de
- Removed enacs from xterm terminfo entry, the reason is that it
  would break non latin encodings and the xterm does not need it
  (See comment #11 of bug #163715).
* Sat Apr 08 2006 - werner@suse.de
- Enable the script to get better termcap entries for arious linux
  console types (bug #163715)
* Fri Apr 07 2006 - werner@suse.de
- Add enacs capability to xterm terminfo entry (bug #163715)
- Also add a script to get better termcap entries for
  various linux console types, currently unused (bug#163715)
* Wed Mar 01 2006 - werner@suse.de
- Add screen terminfo entry for 256 colors (bug #136684)
* Thu Feb 23 2006 - werner@suse.de
- On 64 bit architectures: be backward compatible and use
  unsigned long for chtype (bug #151283)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 10 2006 - ro@suse.de
- create empty va_list instead of using NULL (not portable)
* Sat Dec 17 2005 - kukuk@suse.de
- Remove /usr/lib/terminfo symlink
* Mon Oct 17 2005 - werner@suse.de
- New version new bug, fix doubled man alias for tack (bug #127783)
* Thu Oct 13 2005 - werner@suse.de
- Switch to ncurses version 5.5
- Re-enable curses.h to support both wide and normal characters
* Tue Jul 26 2005 - werner@suse.de
- Move terminfo entry of mlterm to mlterm 2.9.2, add cvvis, and
  add it to the default terminfo entries of ncurses.
* Fri Jul 22 2005 - werner@suse.de
- Update to patch level 20050716
* Tue Mar 01 2005 - schwab@suse.de
- Fix return value of tigetflag.
* Thu Feb 24 2005 - werner@suse.de
- Re-add the ESC[?1c to the civis for linux terminal (bug #65481)
* Thu Sep 16 2004 - werner@suse.de
- Add attributes only on first byte of a wide character (#45479)
* Fri Sep 10 2004 - werner@suse.de
- Make the wide fix smart
* Thu Sep 09 2004 - werner@suse.de
- Re-enable wide fix for none wide terminals
* Fri Apr 23 2004 - werner@suse.de
- Fix crash due called weak symbol without check
* Mon Apr 05 2004 - werner@suse.de
- Be sure that EINTR from signal is correctly delivered to the
  reading thread. Use weak symbols to get it work even if not
  (p)threaded (bug #37273).
* Fri Apr 02 2004 - werner@suse.de
- Use weak symbol pthread_setmask instead of sigprocmask if
  called by (p)threaded programs like yast2 (bug #37273).
* Thu Feb 19 2004 - werner@suse.de
- Switch to official version of 5.4
* Wed Jan 28 2004 - werner@suse.de
- Fix ACSC list of kterm e.g. for alsamixer
* Fri Jan 16 2004 - werner@suse.de
- Update to 5.3-2004011 aka 5.4
- Strike nasty bug in wide version: now none UTF-8 graphic
  characters are usable in any locale again.
- Enable TRACE for debugging builds
* Mon Nov 24 2003 - kukuk@suse.de
- Build as non-root
- Compile with no-execstack
* Tue Jul 29 2003 - aj@suse.de
- Fix for changed chown behaviour.
* Mon Feb 24 2003 - werner@suse.de
- Fix for ACS handling: YaST uses always correct fonts with UTF-8
* Tue Feb 11 2003 - werner@suse.de
- Set TERM if not set, should help to build ncurses on all hosts
* Mon Feb 10 2003 - werner@suse.de
- Update to patch level 20030201 due fix of mem leaks
* Thu Jan 30 2003 - werner@suse.de
- Fix dynamic file listing for terminfo: also include sym links
* Wed Jan 22 2003 - werner@suse.de
- Fix va handling in printw, disable experimental safe sprintf
  builtin (bug #22987)
* Thu Jan 09 2003 - werner@suse.de
- Update to ncurses 5.3 patchlevel 20030105
- Make spec file more handy with automatic file list generation
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Wed Aug 14 2002 - mls@suse.de
- updated screen terminfo entry, added screen-bce and screen-s
* Fri Aug 09 2002 - kukuk@suse.de
- ncurses-devel should require ncurses [Bug #17543]
* Tue Aug 06 2002 - werner@suse.de
- Switch to XTerm for XFree86[tm] 4.2.0 (bug #15002)
* Wed Jul 31 2002 - meissner@suse.de
- disabled -funroll-loops since it triggers a compiler bug on PPC.
* Thu Jul 18 2002 - kukuk@suse.de
- Remove old /usr/lib compatibility links
* Mon Jul 15 2002 - werner@suse.de
- Remove ich1 from xterm entry (bug #7857) hopefully most modern
  programs uses ncurses
- Add kcbt key for YaST
- remove ncurses 4.2
- Enable ncurses 5.2 with wide character support
* Fri Jun 14 2002 - olh@suse.de
- do not build ncurses 4.2 on ppc64, it appears in Requires later
* Wed May 22 2002 - olh@suse.de
- do not package libncurses.4 on ppc64, allow build as non-root
* Sat May 11 2002 - schwab@suse.de
- Remove ia64 compiler workarounds.
* Wed Apr 17 2002 - kukuk@suse.de
- Disable old ncurses libraries on x86_64
* Thu Feb 21 2002 - werner@suse.de
- Fix cat&paste error of patch level 20010922
* Mon Feb 11 2002 - ro@suse.de
- tar option for bz2 is "j"
* Wed Feb 06 2002 - coolo@suse.de
- s390x is 64 bit too
* Fri Nov 23 2001 - uli@suse.de
- fixed to build on ARM
* Sun Nov 11 2001 - schwab@suse.de
- Fix last change, use vsscanf instead of vscanf.
* Fri Nov 09 2001 - stepan@suse.de
- fix ncurses 4.2 on gcc3 distributions.
* Thu Oct 04 2001 - werner@suse.de
- Update to ncurses 5.2 patch level 20011001
* Wed Jun 06 2001 - bk@suse.de
- fix to compile on s390x (cursesw.cc)
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Wed Apr 11 2001 - schwab@suse.de
- Reenable c++ bindings on ia64, instead use -O0 for c++.
* Thu Mar 22 2001 - ro@suse.de
- added split aliases as provides
* Tue Mar 20 2001 - schwab@suse.de
- Don't build c++ bindings and remove -funroll-loops on ia64 to work
  around compiler bug.
* Fri Mar 16 2001 - ro@suse.de
- fix to compile on s390 (cursesw.cc)
* Mon Feb 19 2001 - ro@suse.de
- fixed to compile on gcc-2.96 (include string.h)
* Fri Feb 16 2001 - werner@suse.de
- We don't need include string.h more than once
- Update to patch 20010210
* Thu Feb 15 2001 - stepan@suse.de
- add some includes to compile with newer gcc versions.
* Fri Dec 22 2000 - werner@suse.de
- After a reset xterm should answer ^? on backarrow key
* Thu Dec 07 2000 - werner@suse.de
- Add vt102 to fallback terminal descriptions
- Add xterm-basic only to ncurses
* Tue Nov 14 2000 - werner@suse.de
- Try to solve boot straping without installed ncurses-devel
- Use newest terminfo sources for builtin fallback
- Re-enable ncurses-5.0-to-4.2-panel.patch for ncurses 4.2
- Move /usr/lib/lib*.so to ncurses-devel
* Mon Nov 13 2000 - werner@suse.de
- Update to ncurses 5.2
- Fix replacement of marks within manual pages
- Set type of ospeed to speed_t
- Put development tools, headers and static libs into
  their own package ncurses-devel.
* Thu Oct 26 2000 - kukuk@suse.de
- Rename sharutil to sharutils
* Sun Oct 15 2000 - schwab@suse.de
- Fix libncurses.so link.
* Tue Oct 10 2000 - werner@suse.de
- Update to 5.1 due to the better handling of string termination
  of terminfo entries (security, strcpy patch therefore).
* Fri Oct 06 2000 - werner@suse.de
- Move strncpy to strlcpy which appends the terminating NUL
  character.
* Mon Oct 02 2000 - werner@suse.de
- Use strncpy and strncat in lib_mvcur.c instead of the trustful
  strcpy and strcat.
* Sun Oct 01 2000 - kukuk@suse.de
- Fix for compiling with new g++ on ia64
* Sun Oct 01 2000 - kukuk@suse.de
- Don't use run_cmd.sh to create fallback.c
- Don't build compat ncurses 4.2 on new platforms
- Use rpm 3.0.5 macros for 32/64bit support
* Mon Sep 04 2000 - werner@suse.de
- Correct documentation path
* Fri Jul 07 2000 - werner@suse.de
- Make update mechanism compatible with rpm, yast and yast2
* Wed Jun 28 2000 - werner@suse.de
- Better update mechanism (verified with 6.2, 6.3, 6.4, and 7.0)
- Update to patch level 20000624 due some bug fixes included there
- Fix due bug in lib_screen.c (causes SIGSEGV)
* Mon May 22 2000 - werner@suse.de
- Use new macros to avoid removing files via symbolic linked
  directory which was a real directory. I use here not only
  %%ghost but also %%config(missingok) to avoid the buggy
  order of executing %%post install script. (There is no
  %%post remove script).
* Wed May 17 2000 - werner@suse.de
- One fix more
* Tue May 16 2000 - werner@suse.de
- Fix the post install script: usr/lib/tabset may empty
* Mon Apr 03 2000 - bk@suse.de
- added workaround for bad %%{suse_update_config -f} handling on i386
  message was: suse_update_config: invalid option --
* Sat Apr 01 2000 - bk@suse.de
- updated %%suse_update_config call for s390
* Fri Mar 03 2000 - schwab@suse.de
- Fix for ia64.
- Update config.{guess,sub} from automake
* Thu Mar 02 2000 - werner@suse.de
- Add patch for resize of subwindows relative to their parents
  (required for YaST2)
* Mon Feb 28 2000 - werner@suse.de
- Add patch 20000226 which makes 20000219 work perfect
* Fri Feb 25 2000 - werner@suse.de
- Add patch 20000219 which should help on setting default fg/bg
  off the most applications
* Fri Feb 18 2000 - werner@suse.de
- Add patches 20000115, 20000122, 20000205, and 20000212
  * hopefully this fixes some coloring kludges
- Make $VENDOR work for all Linux architectures
- Fix kvt/gnome entries for SuSE
* Tue Feb 15 2000 - schwab@suse.de
- Update config.{guess,sub} to latest version.
* Thu Feb 03 2000 - ro@suse.de
- use "-O1" for ncurses-4.2 on alpha
* Thu Jan 20 2000 - ro@suse.de
- don't build ncurses-4.2/c++/demo
* Tue Jan 18 2000 - werner@suse.de
- Workaround for all system which uses _SYS_VA_LIST_H (e.g. PPC)
* Mon Jan 17 2000 - werner@suse.de
- Hey here we are: libncurses 5.0
  * Use patches 19991030 upto 20000108
  * Make arch-suse-linux work
  * Use real intrinsic fallback term entries
  * Use setfsuid and setfsgid for suid programs (linux issue only)
  * Use our xterm standard (should be changed for xterm-4.0)
  * Add/update some common term entries
- Hold shared libncurses 4.2 libraries for backward compatibility
  and older programs
- Use /usr/share/man/
* Fri Oct 29 1999 - werner@suse.de
- Remove buggy bool patch, sizeof the type bool should the same in
  C++ and C on any architecture.  This because libncurses is used
  by both type of C++ and C programs. Let configure do its job.
* Fri Oct 15 1999 - werner@suse.de
- Last minor checks
- Move /usr/lib/terminfo/, /usr/lib/tabset/ to /usr/share/terminfo/,
  /usr/share/tabset/ and set a compatibility link.
- Check security fix, seems to work.
* Thu Oct 14 1999 - werner@suse.de
- Port some patches from debian mainly security issues
- Use newer terminfo.src
- Move some common terminfo entries from terminfo packages
  to main packages ncurses
* Wed Oct 13 1999 - werner@suse.de
- Add panel patch from ncurses 5.0
- Remove kbs=\177 for some terminals like some xterm types and
  vt100 to hold it compatible with other UNICES
- Update our xterm settings (with kbs=\177 and kdch1=\E[3~)
- Update the settings for xterm v4.0 but leave default on
  our old version which are compatible
- Add some dumb terminal type like switch, patch, net,
  network, arpanet, and dialup
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Mar 25 1999 - ro@suse.de
- changed permissions (a+x) for libform,menu,panel
* Mon Mar 22 1999 - florian@suse.de
- add compatibility link from /usr/share/{tabset,terminfo}
* Sun Sep 06 1998 - ro@suse.de
- fixed neededforbuild
* Wed Jun 03 1998 - florian@suse.de
- use major 4 for glibc2
* Wed Mar 11 1998 - werner@suse.de
- Defines a xterm-xf86suse entry
  * use xterm-xf86-v33 with changes
- Use xterm-xf86suse for xterm
* Mon Mar 09 1998 - bs@suse.de
- set executable bit to libncurses.so.3.0.*
* Mon Mar 02 1998 - florian@suse.de
- update to ncurses 4.2
- use xterm for XFree86 3.3 and not 3.2...
* Mon Mar 02 1998 - florian@suse.de
- mark /etc/termcap as %%config
* Fri Feb 20 1998 - werner@suse.de
- redone fixes as to previous version
* Tue Feb 17 1998 - florian@suse.de
- update to ncurses 4.2-beta1
* Thu Jan 29 1998 - werner@suse.de
- add some settings for:
  * TERM=linux (cvvis and sgr0 added)
  * TERM=xterm (kf21 (shift F11) and kf22 (shift F12) added)
  * TERM=rxvt  (keypad keys correct defined, mc5 and mc4 added
  for printing, smacs and rmacs repaired, sgr added)
* Tue Nov 11 1997 - ro@suse.de
- terminfo builds from same specfile
* Fri Oct 17 1997 - ro@suse.de
- removed old lib 1.9.7a
  ready for autobuild
* Tue May 27 1997 - florian@suse.de
- handle wrong TERM-settings for tput
- change xterm-entry in terminfo source file
* Tue May 20 1997 - florian@suse.de
- update to version 4.1
* Wed Apr 30 1997 - florian@suse.de
- mv /lib/libncurses.so.1.9* /usr/lib/
* Sun Apr 13 1997 - florian@suse.de
- update to new version 970412
* Thu Jan 02 1997 - werner@suse.de
- Anpassung von terminfo an das XTerm app-defaults
- Einige Fixes in der Intialisierung und Handling
  von Escape-Sequenzen des xterms aus XFree86[tm]-3.2
* Thu Jan 02 1997 - florian@suse.de
- update to version 961102
* Thu Jan 02 1997 - florian@suse.de
- Update auf die neuste ncurses-Version.
- 'xterm' ist fuer XFree86 3.1.2G.  Falls jemand noch ein altes XFree86
  benutzen will, sollte man 'xterm-base' verwenden.
- Falls es Probleme gibt, kann man anstatt /lib/libncurses.so.1.9.9g
  auch /lib/libncurses.so.1.9.9e verwenden. (g-Version einfach umbenennen
  und ldconfig starten.) Dann sollte man aber keine Programme mehr
  kompilieren...
